
-- =========================================================================
-- DB2 Spatial Extender V8 Hospital Demo
-- CLP script: import_data.db2
-- =========================================================================

--
-- Import data into business tables
--

IMPORT FROM Data\hospital.csv OF DEL MESSAGES Data\hospital.msg
	INSERT INTO hospdemo.hospital
	( h_id, h_name, h_addr, h_city, h_state, h_zip, h_phone, se_row_id )
;

IMPORT FROM Data\medhist.csv OF DEL MESSAGES Data\medhist.msg
	INSERT INTO hospdemo.medhist
	( pt_id, date, h_id, ph_id, diag_code, descript, serv, chgs )
;

IMPORT FROM Data\patient.csv OF DEL MESSAGES Data\patient.msg
	INSERT INTO hospdemo.patient
	( pt_id, pt_addr, pt_city, pt_state, pt_zipcode, se_row_id )
;

IMPORT FROM Data\physician.csv OF DEL MESSAGES Data\physician.msg
	INSERT INTO hospdemo.physician
	( ph_id, ph_name )
;

