
-- =========================================================================
-- DB2 Spatial Extender V8 Hospital Demo
-- CLP script: create_tables.db2
-- =========================================================================

--
-- Create business tables
--

CREATE TABLE hospdemo.hospital
(
	h_id  integer ,
	h_name  varchar(64) ,
	h_addr  varchar(24) ,
	h_city  varchar(24) ,
	h_state  char(2) ,
	h_zip  varchar(10) ,
	h_phone  varchar(13) ,
	se_row_id  integer
)
;

CREATE TABLE hospdemo.physician
(
	ph_id  integer ,
	ph_name  varchar(64)
)
;

CREATE TABLE hospdemo.medhist
(
	pt_id  integer ,
	date  date ,
	h_id  integer ,
	ph_id  integer ,
	diag_code  varchar(8) ,
	descript  varchar(60) ,
	serv  varchar(9) ,
	chgs  integer
)
;

CREATE TABLE hospdemo.patient
(
	pt_id  integer ,
	pt_addr  varchar(24) ,
	pt_city  varchar(24) ,
	pt_state  char(2) ,
	pt_zipcode  varchar(10) ,
	se_row_id  integer
)
;

